%define upstream_name		Geo-Shapelib
%define upstream_version	0.20

Summary:	Perl extension for reading and writing shapefiles as defined by ESRI(r)
Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(Tree::R)
BuildRequires:	perl-devel


%description
This is a library for reading, creating, and writing shapefiles as
defined by ESRI(r) using Perl. The Perl code uses Frank Warmerdam's
Shapefile C Library (http://shapelib.maptools.org/). The library is
included in this distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# we don't want this
find %{buildroot} -name "*.a" -exec rm -rf {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc Changes README META.yml
%{perl_vendorarch}/Geo/Shapelib.pm
%{perl_vendorarch}/auto/Geo/Shapelib
%{_mandir}/man3/Geo::Shapelib.3pm.*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-4.mga3
+ Revision: 367655
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.200.0-3.mga3
+ Revision: 250645
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.200.0-2.mga2
+ Revision: 104312
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 32010
- mageia rebuild
- imported package perl-Geo-Shapelib

